Bug 24976 - Guided report - "Save" button on last step is misleading
Summary: Guided report - "Save" button on last step is misleading
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-03-25 14:08 UTC by Jonathan Druart
Modified: 2020-04-03 22:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24976: Guided report - "Save" button on last step is misleading (1.73 KB, patch)
2020-03-25 20:56 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24976: Guided report - "Save" button on last step is misleading (1.79 KB, patch)
2020-03-26 11:04 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24976: Guided report - "Save" button on last step is misleading (1.86 KB, patch)
2020-03-26 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24976: Guided report - "Save" button on last step is misleading (1.92 KB, patch)
2020-03-26 11:34 UTC, Devinim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-03-25 14:08:19 UTC
"Save" button on last step does not save (!)
It should be renamed "Next" instead

https://snipboard.io/gXntf8.jpg

Next step has a "Save report" button that actually saves.
Comment 1 David Roberts 2020-03-25 20:56:33 UTC
Created attachment 101773 [details] [review]
Bug 24976: Guided report - "Save" button on last step is misleading

This patch changes the text of the save button on the final step.

To test:

1) Build a guided report (the selections are immaterial)
2) Note that after you have been through the six stages, the button on
the "Confirm custom report" screen should be labelled "Save"
3) Install patch
4) Repeat Step 1. Note that on the "Confirm custom report" screen, the
button is now labelled "Next".
5) Run the report to check that the functionality still works.
Comment 2 ByWater Sandboxes 2020-03-26 11:04:47 UTC
Created attachment 101801 [details] [review]
Bug 24976: Guided report - "Save" button on last step is misleading

This patch changes the text of the save button on the final step.

To test:

1) Build a guided report (the selections are immaterial)
2) Note that after you have been through the six stages, the button on
the "Confirm custom report" screen should be labelled "Save"
3) Install patch
4) Repeat Step 1. Note that on the "Confirm custom report" screen, the
button is now labelled "Next".
5) Run the report to check that the functionality still works.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Jonathan Druart 2020-03-26 11:25:43 UTC
Created attachment 101809 [details] [review]
Bug 24976: Guided report - "Save" button on last step is misleading

This patch changes the text of the save button on the final step.

To test:

1) Build a guided report (the selections are immaterial)
2) Note that after you have been through the six stages, the button on
the "Confirm custom report" screen should be labelled "Save"
3) Install patch
4) Repeat Step 1. Note that on the "Confirm custom report" screen, the
button is now labelled "Next".
5) Run the report to check that the functionality still works.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Devinim 2020-03-26 11:34:50 UTC
Created attachment 101810 [details] [review]
Bug 24976: Guided report - "Save" button on last step is misleading

This patch changes the text of the save button on the final step.

To test:

1) Build a guided report (the selections are immaterial)
2) Note that after you have been through the six stages, the button on
the "Confirm custom report" screen should be labelled "Save"
3) Install patch
4) Repeat Step 1. Note that on the "Confirm custom report" screen, the
button is now labelled "Next".
5) Run the report to check that the functionality still works.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 5 Martin Renvoize 2020-03-27 08:38:46 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 22:38:05 UTC
not backported to 19.11.x.  does not apply
please rebase if needed.